Sublime version: 3.1.1

Plugin: Ruby Slim

最近更新Sublime之后,在我打开的每个slim文件中,我收到以下错误: 加载语法文件错误提示,

Error loading syntax file "Packages/Ruby Slim/Syntaxes/Ruby Slim.tmLanguage": Apparent recursion within a with_prototype action: 25000 context sanity limit hit

导致Slim语法高亮不起作用, Google之后.


解决方案:  打开 Sublime Text > Preferences > Settings,您可以从ignored_packages中添加Markdown。

"ignored_packages":
    [
        "Markdown",
        "Vintage"
    ],

最后我们把和Markdown的一些package删除后,一切正常。